# Restart-RASVM.md

## NAME

Restart-RASVM

## SYNOPSIS

Restarts a virtual machine.

## SYNTAX

**Restart-RASVM** \[[ProviderId](#providerid-string)] *(uint)* \[[Id](#id-string)] *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Restart-RASVM** \[-[InputObject](#inputobject)] *(*[*VM*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vm.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Restarts a virtual machine.

## PARAMETERS

## ProviderId (uint)

The name of the target Provider server.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (string)

Target virtual machine UUID.

```
        Required?                    true

        Position?                    1

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([VM](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vm.md))

The VM on which to perform the power operation.

To obtain an object of type VM, use the Get-VM cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[VM](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vm.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Restart-RASVM -ProviderId 2 -Id 42311235-09c5-ca15-337d-b9723015edf0

Restarts the specified virtual machine on the specified Provider.\
\*\*---------- EXAMPLE 2 ----------

Get-RASVM -ProviderId 2 -Id 42311235-09c5-ca15-337d-b9723015edf0 | Restart-RASVM

Restarts the virtual machine which is identified by an object obtained from the pipeline output.

## RELATED LINKS

* [Get-RASVM](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvm.md)
* [Start-RASVM](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/start-rasvm.md)
* [Stop-RASVM](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/stop-rasvm.md)
* [Suspend-RASVM](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/suspend-rasvm.md)
* [Reset-RASVM](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/reset-rasvm.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/restart-rasvm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
